body,
html {
  width: 100%;
  height: 100%;
}

::selection {
  color: none;
  background: none;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: url(../images/marina-logo-white.png) center center no-repeat;
}

#full-content {
  width: 100%;
  height: 100%;
  overflow-y: hidden;
  border: none;
}
.loading-logo {
  background-image: url(../images/loading-logo.png);
  background-repeat: no-repeat;
  background-position: center;
}
.main-app-bar {
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  display: grid;
  /* border-top: 2px solid #9d4dae; */
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-app-region: drag;
}

.app-progress-bar {
  position: relative;
  height: 4px;
  display: block;
  width: 100%;
  background-color: #eeabff;
  margin: 0 0 1rem 0;
  overflow: hidden;
}
.app-progress-bar .indeterminate {
  background-color: #b166c3;
}
body.loading .app-progress-bar .indeterminate:before {
  content: "";
  position: absolute;
  background-color: inherit;
  top: 0;
  left: 0;
  bottom: 0;
  will-change: left, right;
  -webkit-animation: indeterminate 2.1s cubic-bezier(0.65, 0.815, 0.735, 0.395)
    infinite;
  animation: indeterminate 2.1s cubic-bezier(0.65, 0.815, 0.735, 0.395) infinite;
}
body.loading .app-progress-bar.active .indeterminate:after {
  content: "";
  position: absolute;
  background-color: inherit;
  top: 0;
  left: 0;
  bottom: 0;
  will-change: left, right;
  animation: indeterminate-short 2.1s cubic-bezier(0.165, 0.84, 0.44, 1)
    infinite;
  -webkit-animation-delay: 1.15s;
  animation-delay: 1.15s;
}

.app-list-btns {
  justify-self: right;
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.app-list-btns li {
  height: 20px;
  float: left;
  margin: 0;
  margin-right: 10px;
}
.app-list-btns li:last-child {
  margin-right: 5px;
}

.app-list-btns span {
  display: block;
  width: 10px;
  height: 100%;
  background-position: center;
  background-repeat: no-repeat;
  cursor: pointer;
  opacity: 0.8;
  -webkit-app-region: no-drag;
}

.app-list-btns span:hover {
  opacity: 1;
}
#minimize {
  background-image: url(../images/btn-minimize.svg);
}
#close {
  background-image: url(../images/btn-close.svg);
}

.app-list-btns #min {
  margin-right: 6px;
}
#webview {
  height: 100%;
  width: 100%;
  margin-bottom: -3px;
  display: inline-flex;
  transition: all 1s ease-in;
}

.content-loading {
  position: absolute;
  display: flex;
  bottom: 0px;
  left: 0px;
  justify-content: center;
  flex-direction: column;
  width: 40px;
  height: 40px;
}
body.loading #webview {
  display: none;
}
body.loading .loading-spinner {
  display: block;
  width: 20px;
  height: 20px;
  margin: 0 auto;
  position: relative;
  border-top: 2px solid #e867ff30;
  border-right: 2px solid #e867ff30;
  border-bottom: 2px solid #e867ff30;
  border-left: 2px solid #e867ff;
  -webkit-animation: loading-spin 0.5s infinite linear;
  animation: loading-spin 0.4s infinite linear;
  border-radius: 50%;
}

@-webkit-keyframes loading-spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(1turn);
    transform: rotate(1turn);
  }
}

@keyframes loading-spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(1turn);
    transform: rotate(1turn);
  }
}

@keyframes indeterminate {
  0% {
    left: -35%;
    right: 100%;
  }
  60% {
    left: 100%;
    right: -90%;
  }
  100% {
    left: 100%;
    right: -90%;
  }
}
@keyframes indeterminate-short {
  0% {
    left: -200%;
    right: 100%;
  }
  60% {
    left: 107%;
    right: -8%;
  }
  100% {
    left: 107%;
    right: -8%;
  }
}


.messages-container {color: white;}